Bug 835717 - liblvm: should not write to stdout or try to read from stdin
liblvm: should not write to stdout or try to read from stdin
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All All
high Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 19:12 EDT by Andy Grover
Modified: 2014-09-15 19:57 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2012-06-26 19:12:19 EDT
liblvm should not write 'Logical volume "foo" created' and other messages to stdout.
Comment 1 Alasdair Kergon 2012-06-26 20:04:50 EDT
At the moment, the settings in lvm.conf are supposed to control this, and these can be overridden with lvm_config_override.
Comment 2 Alasdair Kergon 2012-06-26 20:12:19 EDT
Well lvm.conf doesn't let you turn these off completely - something else to fix.
Comment 3 Alasdair Kergon 2012-08-24 21:56:54 EDT
See also bug 851287 for some of the consequences.
It must be possible to disable all direct use of stdin and stdout (and stderr?) by the library.
Comment 4 Alasdair Kergon 2012-08-25 15:46:44 EDT
First step:  a "silent" mode that suppresses non-essential tool output.
  https://lists.fedorahosted.org/pipermail/lvm2-commits/2012-August/000160.html

The library calls from python will then be made always to run with this mode set (and shouldn't be using the display/reporting tools that still produce stdout anyway).

When silent is set, yes_no_arg needs changing always to take the safe default instead of prompting.

libdevmapper needs a similar review looking for anything written to stdout/read from stdin.

Then when in silent mode, stdin/stdout will no longer be used and so the setvbuf calls can be skipped.
Comment 5 Fedora End Of Life 2013-04-03 15:32:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.